import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'peachpluginsampletest_method_channel.dart';

abstract class PeachpluginsampletestPlatform extends PlatformInterface {
  /// Constructs a PeachpluginsampletestPlatform.
  PeachpluginsampletestPlatform() : super(token: _token);

  static final Object _token = Object();

  static PeachpluginsampletestPlatform _instance = MethodChannelPeachpluginsampletest();

  /// The default instance of [PeachpluginsampletestPlatform] to use.
  ///
  /// Defaults to [MethodChannelPeachpluginsampletest].
  static PeachpluginsampletestPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [PeachpluginsampletestPlatform] when
  /// they register themselves.
  static set instance(PeachpluginsampletestPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
