
import 'peachpluginsampletest_platform_interface.dart';
import 'package:flutter/services.dart';

class Peachpluginsampletest {
  static const MethodChannel _channel =
  const MethodChannel('my_dialog_plugin');

  static Future<void> showAlert(String title, String message) async {
    try {
      await _channel.invokeMethod('showAlert', {'title': title, 'message': message});
    } on PlatformException catch (e) {
      print("Failed to show alert: '${e.message}'.");
    }
  }
}

