import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'peachpluginsampletest_platform_interface.dart';

/// An implementation of [PeachpluginsampletestPlatform] that uses method channels.
class MethodChannelPeachpluginsampletest extends PeachpluginsampletestPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('my_dialog_plugin');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
