import 'package:flutter_test/flutter_test.dart';
import 'package:peachpluginsampletest/peachpluginsampletest_platform_interface.dart';
import 'package:peachpluginsampletest/peachpluginsampletest_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockPeachpluginsampletestPlatform
    with MockPlatformInterfaceMixin
    implements PeachpluginsampletestPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final PeachpluginsampletestPlatform initialPlatform = PeachpluginsampletestPlatform.instance;

  test('$MethodChannelPeachpluginsampletest is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelPeachpluginsampletest>());
  });


}
