#ifndef FLUTTER_PLUGIN_PEACHPLUGINSAMPLETEST_PLUGIN_H_
#define FLUTTER_PLUGIN_PEACHPLUGINSAMPLETEST_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace peachpluginsampletest {

class PeachpluginsampletestPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  PeachpluginsampletestPlugin();

  virtual ~PeachpluginsampletestPlugin();

  // Disallow copy and assign.
  PeachpluginsampletestPlugin(const PeachpluginsampletestPlugin&) = delete;
  PeachpluginsampletestPlugin& operator=(const PeachpluginsampletestPlugin&) = delete;

 private:
  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace peachpluginsampletest

#endif  // FLUTTER_PLUGIN_PEACHPLUGINSAMPLETEST_PLUGIN_H_
